Bug 1412145 - cinder.volume.drivers.huawei.huawei_driver.HuaweiFCDriver not working properly with OSP 10
Summary: cinder.volume.drivers.huawei.huawei_driver.HuaweiFCDriver not working properl...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-oslo-privsep
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: z3
: 10.0 (Newton)
Assignee: Eric Harney
QA Contact: Avi Avraham
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-11 11:42 UTC by Pablo Caruana
Modified: 2020-03-11 15:35 UTC (History)
17 users (show)

Fixed In Version: python-oslo-privsep-1.13.1-1.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-20 18:02:23 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Pablo Caruana 2017-01-11 11:42:44 UTC
openstack-cinder-9.0.0-13.el7ost.noarch
python-oslo-privsep-1.13.0-1.1.el7ost.noarch                
python-oslo-privsep-lang-1.13.0-1.1.el7ost.noarch         
python-oslo-messaging-5.10.0-5.el7ost.noarch


Creating an empty volume is always working.
Creating a volume from an image is only working for the first one volume, second volume creation fails, stuck in downloading state.
Restarting cinder-volume service allow us to create a new volume. But again, creating a new one fail.



Both good cinder.log.OK  and cinder.log.KO  shows correctly the response data for capacity for luns 6c4473f1005637f2a76355ac00000020  and 6c4473f1005637f2a763f28200000021.

:Response Data:{"data":{"ALLOCCAPACITY":"0","ALLOCTYPE":"1","CACHEPARTITIONID":"","CAPABILITY":"0","CAPACITY":"25165824","COMPRESSION":"0","COMPRESSIONSAVEDCAPACITY":"0","COMPRESSIONSAVEDRATIO":"0","DATADISTRIBUTING":"[0,0,0]","DATATRANSFERPOLICY":"0","DEDUPSAVEDCAPACITY":"0","DEDUPSAVEDRATIO":"0","DESCRIPTION":"volume-50fdbd6c-c01b-4878-8365-d0dca412ce5c","DRS_ENABLE":"false","ENABLECOMPRESSION":"false","ENABLEDEDUP":"false","ENABLEDEDUPCHECK":"false","ENABLEISCSITHINLUNTHRESHOLD":"false","ENABLESMARTDEDUP":"false","EXPOSEDTOINITIATOR":"false","EXTENDIFSWITCH":"false","HEALTHSTATUS":"1","ID":"32","INITIALDISTRIBUTEPOLICY":"0","IOCLASSID":"","IOPRIORITY":"1","ISADD2LUNGROUP":"false","ISCHECKZEROPAGE":"true","ISCSITHINLUNTHRESHOLD":"90","LUNCOPYIDS":"[]","LUNMigrationOrigin":"-1","METACAPACITY":"0","MIRRORPOLICY":"1","MIRRORTYPE":"0","MOVETOTIER0DATA":"0","MOVETOTIER1DATA":"0","MOVETOTIER2DATA":"0","NAME":"50fdbd6c-3376039191725416706","OWNINGCONTROLLER":"0A","PARENTID":"0","PARENTNAME":"ProdOpenstackPool01","PREFETCHPOLICY":"3","PREFETCHVALUE":"0","PROGRESS":"-1","READCACHEPOLICY":"2","REMAINRETENTIONTERM":"0","REMOTELUNID":"--","REMOTEREPLICATIONIDS":"[]","REPLICATION_CAPACITY":"0","RETENTIONSETTIME":"0","RETENTIONSTATE":"0","RETENTIONTERM":"0","RUNNINGSTATUS":"53","RUNNINGWRITEPOLICY":"0","SAVEDAGOTOTALCAPACITY":"0","SC_CACHEDSIZE":"0","SC_HITRAGE":"0","SECTORSIZE":"512","SMARTCACHEPARTITIONID":"","SMARTCACHESTATE":"0","SNAPSHOTIDS":"[]","SPLITMIRRORIDS":"[]","SUBTYPE":"0","TOTALSAVEDCAPACITY":"0","TOTALSAVEDRATIO":"0","TYPE":11,"USAGETYPE":"0","WORKINGCONTROLLER":"0A","WRITECACHEPOLICY":"5","WRITEPOLICY":"1","WWN":"6c4473f1005637f2a76355ac00000020","remoteLunWwn":"--"},"error":{"code":0,"description":"0"}}



On the bad one is not showing some basic from the device manager
  106 Request Data: {"WRITEPOLICY": "1", "WRITECACHEPOLICY": "5", "PREFETCHVALUE": "0", "ALLOCTYPE": 1, "PARENTID": "0", "MIRRORPOLICY": "1", "DATATRANSFERPOLICY": "0", "DESCRIPTION": "volume-1c7484e4-a5eb-413a-b5f1-64f5671a2e7d", "CAPACITY": 27262976, "NAME": "1c7484e4-7202002416953580258", "READCACHEPOLICY": "2", "PARENTTYPE": "216", "TYPE": "11", "PREFETCHPOLICY": "3"}
    107 
    108 Response Data:{"data":{"ALLOCCAPACITY":"0","ALLOCTYPE":"1","CACHEPARTITIONID":"","CAPABILITY":"0","CAPACITY":"27262976","COMPRESSION":"0","COMPRESSIONSAVEDCAPACITY":"0","COMPRESSIONSAVEDRATIO":"0","DATADISTRIBUTING":"[0,0,0]","DATATRANSFERPOLICY":"0","DEDUPSAVEDCAPACITY":"0","DEDUPSAVEDRATIO":"0","DESCRIPTION":"volume-1c7484e4-a5eb-413a-b5f1-64f5671a2e7d","DRS_ENABLE":"false","ENABLECOMPRESSION":"false","ENABLEDEDUP":"false","ENABLEDEDUPCHECK":"false","ENABLEISCSITHINLUNTHRESHOLD":"false","ENABLESMARTDEDUP":"false","EXPOSEDTOINITIATOR":"false","EXTENDIFSWITCH":"false","HEALTHSTATUS":"1","ID":"33","INITIALDISTRIBUTEPOLICY":"0","IOCLASSID":"","IOPRIORITY":"1","ISADD2LUNGROUP":"false","ISCHECKZEROPAGE":"true","ISCSITHINLUNTHRESHOLD":"90","LUNCOPYIDS":"[]","LUNMigrationOrigin":"-1","METACAPACITY":"0","MIRRORPOLICY":"1","MIRRORTYPE":"0","MOVETOTIER0DATA":"0","MOVETOTIER1DATA":"0","MOVETOTIER2DATA":"0","NAME":"1c7484e4-7202002416953580258","OWNINGCONTROLLER":"0B","PARENTID":"0","PARENTNAME":"ProdOpenstackPool01","PREFETCHPOLICY":"3","PREFETCHVALUE":"0","PROGRESS":"-1","READCACHEPOLICY":"2","REMAINRETENTIONTERM":"0","REMOTELUNID":"--","REMOTEREPLICATIONIDS":"[]","REPLICATION_CAPACITY":"0","RETENTIONSETTIME":"0","RETENTIONSTATE":"0","RETENTIONTERM":"0","RUNNINGSTATUS":"53","RUNNINGWRITEPOLICY":"0","SAVEDAGOTOTALCAPACITY":"0","SC_CACHEDSIZE":"0","SC_HITRAGE":"0","SECTORSIZE":"512","SMARTCACHEPARTITIONID":"","SMARTCACHESTATE":"0","SNAPSHOTIDS":"[]","SPLITMIRRORIDS":"[]","SUBTYPE":"0","TOTALSAVEDCAPACITY":"0","TOTALSAVEDRATIO":"0","TYPE":11,"USAGETYPE":"0","WORKINGCONTROLLER":"0B","WRITECACHEPOLICY":"5","WRITEPOLICY":"1","WWN":"6c4473f1005637f2a763f28200000021","remoteLunWwn":"--"},"error":{"code":0,"description":"0"}}
    109 


And going to the initiator

  112 2017-01-05 10:51:14.428 123333 DEBUG cinder.volume.drivers.huawei.huawei_utils [req-0110564b-3be7-447f-aeff-a        47c81292368 efea0b608e5247b18c973419c2a04cff 80b375c76f154511a1f6f96c42c3cd3d - default default] Volume ID: 1        c7484e4-a5eb-413a-b5f1-64f5671a2e7d, admin_metadata: {}. get_admin_metadata /usr/lib/python2.7/site-packages/        cinder/volume/drivers/huawei/huawei_utils.py:102
    113 2017-01-05 10:51:14.513 123333 DEBUG cinder.volume.flows.manager.create_volume [req-0110564b-3be7-447f-aeff-a        47c81292368 efea0b608e5247b18c973419c2a04cff 80b375c76f154511a1f6f96c42c3cd3d - default default] Attempting d        ownload of a936fd53-ffb6-4471-a587-20a2c30630dd ((u'swift+config://ref1/glance/a936fd53-ffb6-4471-a587-20a2c3        0630dd', None)) to volume 1c7484e4-a5eb-413a-b5f1-64f5671a2e7d. _copy_image_to_volume /usr/lib/python2.7/site        -packages/cinder/volume/flows/manager/create_volume.py:517
    114 2017-01-05 10:51:14.514 123333 DEBUG cinder.volume.driver [req-0110564b-3be7-447f-aeff-a47c81292368 efea0b608        e5247b18c973419c2a04cff 80b375c76f154511a1f6f96c42c3cd3d - default default] copy_image_to_volume volume-1c748        4e4-a5eb-413a-b5f1-64f5671a2e7d. _copy_image_data_to_volume /usr/lib/python2.7/site-packages/cinder/volume/dr        iver.py:799
    115 2017-01-05 10:51:14.514 123333 DEBUG os_brick.utils [req-0110564b-3be7-447f-aeff-a47c81292368 efea0b608e5247b        18c973419c2a04cff 80b375c76f154511a1f6f96c42c3cd3d - default default] ==> get_connector_properties: call {'ex        ecute': None, 'my_ip': '89.107.175.11', 'enforce_multipath': False, 'host': None, 'root_helper': 'sudo cinder        -rootwrap /etc/cinder/rootwrap.conf', 'multipath': False} trace_logging_wrapper /usr/lib/python2.7/site-packa        ges/os_brick/utils.py:141
    116 2017-01-05 10:51:14.516 123333 WARNING oslo.privsep.daemon [-] privsep log: 2017-01-05 10:51:14.515 133143 DE        BUG oslo.privsep.daemon [-] privsep: request[116405584]: (3, 'os_brick.privileged.rootwrap.execute_root', ('c        at', '/etc/iscsi/initiatorname.iscsi'), {}) loop /usr/lib/python2.7/site-packages/oslo_privsep/daemon.py:425
    117 2017-01-05 10:51:14.516 123333 WARNING oslo.privsep.daemon [-] privsep log: 2017-01-05 10:51:14.516 133143 DE        BUG oslo_concurrency.processutils [-] Running cmd (subprocess): cat /etc/iscsi/initiatorname.iscsi execute /u        sr/lib/python2.7/site-packages/oslo_concurrency/processutils.py:344
    118 2017-01-05 10:51:14.535 123333 WARNING oslo.privsep.daemon [-] privsep log: 2017-01-05 10:51:14.534 133143 DE        BUG oslo_concurrency.processutils [-] CMD "cat /etc/iscsi/initiatorname.iscsi" returned: 0 in 0.018s execute         /usr/lib/python2.7/site-packages/oslo_concurrency/processutils.py:374
    119 2017-01-05 10:51:14.535 123333 WARNING oslo.privsep.daemon [-] privsep log: 2017-01-05 10:51:14.535 133143 DE        BUG oslo.privsep.daemon [-] privsep: reply[116405584]: (4, ('InitiatorName=iqn.1994-05.com.redhat:fc2517fb779        e\n', '')) loop /usr/lib/python2.7/site-packages/oslo_privsep/daemon.py:438


but not moving forward around the lungroup and mapping

Request URL: https://172.30.34.120:8088/deviceManager/rest/2102350HXCCBG2000045/lungroup?range=[0-8191]

Call Method: GET

Request Data: None

Response Data:{"data":[{"APPTYPE":"0","CAPCITY":"34359738368","CONFIGDATA":"","DESCRIPTION":"","GROUPTYPE":"0","ID":"0","ISADD2MAPPINGVIEW":"true","NAME":"AGILE2-CLUSTER3","TYPE":256},{"APPTYPE":"0","CAPCITY":"68878860288","CONFIGDATA":"","DESCRIPTION":"","GROUPTYPE":"0","ID":"1","ISADD2MAPPINGVIEW":"true","NAME":"A5-STRECHED-CLU1","TYPE":256},{"APPTYPE":"0","CAPCITY":"53636759552","CONFIGDATA":"","DESCRIPTION":"","GROUPTYPE":"0","ID":"2","ISADD2MAPPINGVIEW":"true","NAME":"AGILE5-VEEAM-EQ-TC","TYPE":256},{"APPTYPE":"0","CAPCITY":"17179869184","CONFIGDATA":"","DESCRIPTION":"","GROUPTYPE":"0","ID":"3","ISADD2MAPPINGVIEW":"false","NAME":"migration-sage","TYPE":256},{"APPTYPE":"0","CAPCITY":"6442450944","CONFIGDATA":"","DESCRIPTION":"Pour migration CSP => A5","GROUPTYPE":"0","ID":"4","ISADD2MAPPINGVIEW":"true","NAME":"MIGRATION-CSP-A5","TYPE":256}],"error":{"code":0,"description":"0"}}



2017-01-05 10:48:39.003 123333 INFO cinder.volume.drivers.huawei.rest_client [req-18d410ca-ae7c-4518-bd36-4c7ea44f3a4d efea0b608e5247b18c973419c2a04cff 80b375c76f154511a1f6f96c42c3cd3d - default default]



Request URL: https://172.30.34.120:8088/deviceManager/rest/2102350HXCCBG2000045/mappingview?range=[0-8191]


Note You need to log in before you can comment on or make changes to this bug.